---     
tags: 
  - Regions
description: Assigns a user to a region. Will fail with code 409 if a user is already assigned to the region (code 1) or
  the region is assigned to an order and a different user not associated with that order is passed (code 2).
parameters:
  - in: header
    name: Authorization
    type: string
    required: true
  - in: body
    name: body
    type: object
    required: true
    schema: {
      'id': 1
    }
produces: 
  - 'application/json'
responses:
  200:
    schema:
      type: object
      example: {
        "message": "assignment successful",
      }
  409:
    schema:
      type: object
      properties:
        error:
          type: string
          example: {
            "message": "user already assigned to region",
            "code": 1
          }
  401:
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'Unauthorised'